Subject: bug#30157: texlive-20170524-texmf.tar.xz' failed: 410, "Gone"

From: Mathieu Lirzin <[email-masked]>
Date: Fri, 19 Jan 2018 15:51:31 +0100

[email-masked] (Ludovic Courtès) writes:

> Mathieu Lirzin <[email-masked]> skribis:
>
>> Téléchargement de « https://mirror.hydra.gnu.org/guix/nar/5rnvmy02yazy8iwaa91kijbbqp8qmflz-texlive-20170524-texmf.tar.xz »...
>> guix substitute: error: download from 'https://mirror.hydra.gnu.org/guix/nar/5rnvmy02yazy8iwaa91kijbbqp8qmflz-texlive-20170524-texmf.tar.xz' failed: 410, "Gone"
>
> Fixed by simply letting it through:
>
>   https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=8859af255f4041f90f630094c6ec81227b554904
>
> However note that it’s a 2.2 GiB file.  I think it’s OK for hydra to
> serve it, in particular because ‘guix publish’ does almost no processing
> on that file since it’s already compressed.  So the only cost is
> bandwidth.
>
> (The ‘texlive-texmf’ binary remains unavailable on hydra because it’s
> marked as non-substitutable.)
>
> Other options that came to mind were:
>
>   1. Mark the texlive-texmf source derivation as non-substitutable,
>      which would have required fiddling with ‘url-fetch’ to pass
>      #:substitutable? #f to ‘raw-derivation’.  Everyone would have
>      downloaded from the upstream FTP site.
>
>   2. Add a ‘--hide=.*texlive-texmf*’ option to ‘guix publish’, which
>      would prevent it from publishing narinfos for store items that
>      match the regexp.

AIUI the issue is somewhat specific to public instances of ‘guix
publish’.  What I mean is that when having a local build farm used on a
local network by a cluster, It seems useful to cache the texlive-texmf
tarball on the build farm to benefit for the local network speed.  So in
that regard (2) seems a better option but maybe I am overlooking other
important points.

Thanks for fixing that.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37